SuggestStopFilterFactory (Lucene 10.5.0 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest.analyzing, class: SuggestStopFilterFactory

Package org.apache.lucene.search.suggest.analyzing

# Class SuggestStopFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.search.suggest.analyzing.SuggestStopFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class SuggestStopFilterFactory extends TokenFilterFactory implements ResourceLoaderAware
Factory for `SuggestStopFilter`.

     <fieldType name="autosuggest" class="solr.TextField"
                positionIncrementGap="100" autoGeneratePhraseQueries="true">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.LowerCaseFilterFactory"/>
         <filter class="solr.SuggestStopFilterFactory" ignoreCase="true"
                 words="stopwords.txt" format="wordset"/>
       </analyzer>
     </fieldType>

All attributes are optional:

- `ignoreCase` defaults to `false`
- `words` should be the name of a stopwords file to parse, if not specified the factory will use `EnglishAnalyzer.ENGLISH_STOP_WORDS_SET`
- `format` defines how the `words` file will be parsed, and defaults to `wordset`. If `words` is not specified, then `format` must not be specified.

The valid values for the `format` option are:

- `wordset` - This is the default format, which supports one word per line (including any intra-word whitespace) and allows whole line comments beginning with the "#" character. Blank lines are ignored. See `WordlistLoader.getLines` for details.
- `snowball` - This format allows for multiple words specified on each line, and trailing comments may be specified using the vertical line ("|"). Blank lines are ignored. See `WordlistLoader.getSnowballWordSet` for details.

Since:
  5.0.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "suggestStop"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FORMAT_SNOWBALL`
  multiple words may be specified on each line, trailing comments start with "|"
  `static final String`
  `FORMAT_WORDSET`
  the default format, one word per line, whole line comments start with "#"
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestStopFilterFactory()`
  Default ctor for compatibility with SPI
  `SuggestStopFilterFactory(Map<String,String> args)`
  Creates a new StopFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenStream`
  `create(TokenStream input)`
  `CharArraySet`
  `getStopWords()`
  Returns the configured stopword set
  `void`
  `inform(ResourceLoader loader)`
  `boolean`
  `isIgnoreCase()`
  Whether or not to ignore case

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

  - ### FORMAT_WORDSET

    public static final String FORMAT_WORDSET
    the default format, one word per line, whole line comments start with "#"
    See Also:
      - Constant Field Values

  - ### FORMAT_SNOWBALL

    public static final String FORMAT_SNOWBALL
    multiple words may be specified on each line, trailing comments start with "|"
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SuggestStopFilterFactory

    public SuggestStopFilterFactory(Map<String,String> args)
    Creates a new StopFilterFactory

  - ### SuggestStopFilterFactory

    public SuggestStopFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### inform

    public void inform(ResourceLoader loader) throws IOException
    Specified by:
      `inform` in interface `ResourceLoaderAware`
    Throws:
      `IOException`

  - ### isIgnoreCase

    public boolean isIgnoreCase()
    Whether or not to ignore case

  - ### getStopWords

    public CharArraySet getStopWords()
    Returns the configured stopword set

  - ### create

    public TokenStream create(TokenStream input)
    Specified by:
      `create` in class `TokenFilterFactory`